$$.widget = {
  name: 'New Widget',
  version: '1.0',
  author: 'HomeGenie User',
  release: '2016-05-06',
  icon: 'pages/control/widgets/homegenie/generic/images/robot.png'
};

// This method is called when the widget starts
$$.onStart = function() {
  // handle ui elements events
  $$.field('btn-sync').bind('click', function(){
    btnSyncClicked();
  });
}

// This method is called when the widget UI is request to refresh its view
$$.onRefresh = function () {
  $$.field('lbl-name').html($$.module.Name + " (" + $$.module.DeviceType + ")");
}

// This method is called when the bound module raises a parameter event
// eg.: parameter = 'Status.Level', value = '1'
$$.onUpdate = function(parameter, value) {
}

// This method is called when the widget stops
$$.onStop = function() {
}


// user-defined methods implemented for this widget

btnSyncClicked = function() {
  $$.apiCall('Google Home Config','GoogleHome.Config','Sync',"");
};

